Get Data Provider Details
curl --request GET \
--url https://ob.flinksapp.com/api/v1/providers/{provider_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ob.flinksapp.com/api/v1/providers/{provider_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ob.flinksapp.com/api/v1/providers/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider_id": 4013,
"name": "1st United CU",
"country": "US",
"provider_url": "https://accounts.1stunitedcu.org/",
"scopes": [
"ACCOUNT_BASIC",
"ACCOUNT_DETAILED",
"ACCOUNT_PAYMENTS",
"INVESTMENTS",
"TRANSACTIONS",
"STATEMENTS",
"CUSTOMER_CONTACT",
"CUSTOMER_PERSONAL"
],
"data_inventory": {
"account": [],
"customers": [
"customerId",
"name.first",
"name.last",
"emails",
"email",
"addresses.line1",
"addresses.city",
"addresses.region",
"addresses.postalCode",
"telephones.number",
"name.middle"
],
"detailed_accounts": [
"accounts.depositAccount.currentBalance",
"accounts.depositAccount.accountId",
"accounts.depositAccount.accountType",
"accounts.depositAccount.accountNumberDisplay",
"accounts.depositAccount.productName",
"accounts.depositAccount.currency.currencyCode",
"accounts.depositAccount.availableBalance"
],
"lightweight_accounts": [],
"payments": [
"paymentNetworks.bankId",
"paymentNetworks.identifier",
"paymentNetworks.identifierType",
"paymentNetworks.type",
"paymentNetworks.transferIn",
"paymentNetworks.transferOut"
],
"transactions": [
"page.nextOffset",
"links.next.href",
"transactions.depositTransaction.accountId",
"transactions.depositTransaction.transactionId",
"transactions.depositTransaction.postedTimestamp",
"transactions.depositTransaction.transactionTimestamp",
"transactions.depositTransaction.description",
"transactions.depositTransaction.amount",
"transactions.depositTransaction.transactionType",
"transactions.depositTransaction.status"
]
}
}{
"message": "Invalid Bearer Token"
}{
"message": "Provider not found"
}{
"message": "Internal Server Error"
}Institutions
Get Data Provider Details
Use the /api/v1/providers endpoint to retrieve information about a particular Data Provider such as their country, their data scopes, the FDX fields they support, and more.
GET
/
api
/
v1
/
providers
/
{provider_id}
Get Data Provider Details
Use the
/api/v1/providers endpoint to retrieve information about a particular Data Provider such as their country, their data scopes, the FDX fields they support, and more.
To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using the following settings:
- grant_type:
client_credentials - client_id:
{partner client_id} - client_secret:
{partner client_secret} - scope:
client:admin
Authorizations
Bearer token obtained from the /Token endpoint.
Path Parameters
The ID of the Data Provider who you want to retrieve information about.
Response
Result
Unique identifier for the data provider.
Name of the data provider.
Country code of the data provider (e.g., CA, US).
URL of the data provider's website.
List of data scopes supported by the data provider.
Detailed inventory of FDX fields supported by the data provider.
Show child attributes
Show child attributes
Was this page helpful?
⌘I